<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2014 (x64) (http://www.altova.com) by Group IT (PostNL Groep) -->
<!--org/2001/XMLSchema-->
<!--



major/ minor versie:	1.0

datum productie:		8 maart 2021
Gemaakt door			NM en Mathijs Hoeijmakers, Daan Lucas
doelgroep					PostNL; IOT interfaces naar oa Daisy en LED

  	
   -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:postnl/mail/assetlocation/1" xmlns:co1="urn:postnl/mail/components/1" xmlns:fi1="urn:postnl/mail/fields1" targetNamespace="urn:postnl/mail/assetlocation/1" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="urn:postnl/mail/components/1" schemaLocation="../../Common/OAGI/Components/Components1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/fields1" schemaLocation="../../Common/OAGI/Components/Fields1.xsd"/>
	<xsd:element name="AssetLocation" type="AssetLocationType">
		<xsd:annotation>
			<xsd:documentation>At what location was the asset detected.
Geen observation omdat niet iedere detectie (= waarneming) wordt gemeld maar alleen de verandering in availability. Wel erop geinspireerd.</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="AssetLocationType">
		<xsd:sequence>
			<xsd:element ref="AssetLocationHeader" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>General information about the observation of the asset. </xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element ref="AssetLocationResult" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:element name="AssetLocationHeader" type="AssetLocationHeaderType"/>
	<xsd:complexType name="AssetLocationHeaderType">
		<xsd:sequence>
			<xsd:group ref="co1:DocumentIDsGroup" minOccurs="0"/>
			<xsd:element ref="fi1:DocumentDateTime" minOccurs="0"/>
			<xsd:element ref="fi1:ObservationClassCode" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:element name="AssetLocationResult" type="AssetLocationResultType">
		<xsd:annotation>
			<xsd:documentation>The result of the observation.</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="AssetLocationResultType">
		<xsd:sequence>
			<xsd:element ref="fi1:AssetID" minOccurs="0"/>
			<xsd:element ref="fi1:BeaconID" minOccurs="0"/>
			<xsd:element ref="fi1:TrackingID" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element name="Location" type="LocationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>The place where the asset has been identified.</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="LocationType">
		<xsd:sequence>
			<xsd:element ref="fi1:LocationId" minOccurs="0"/>
			<xsd:element ref="co1:GPSCoordinate" minOccurs="0"/>
			<xsd:element ref="fi1:LocationEventIndicator" minOccurs="0"/>
			<xsd:element ref="fi1:LocationEventTime" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
</xsd:schema>
